Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree
Class AbstractModelItemTreeNode<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractModelItemTreeNode<T>

All Implemented Interfaces:
  SoapUITreeNode, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  InterfaceTreeNode, LoadTestTreeNode, MockOperationTreeNode, MockResponseTreeNode, MockServiceTreeNode, OperationTreeNode, ProjectTreeNode, RequestTreeNode, TestCaseTreeNode, TestStepTreeNode, TestSuiteTreeNode, WorkspaceTreeNode

    public abstract class AbstractModelItemTreeNode<T extends ModelItem>

extends java.lang.Object
implements SoapUITreeNode, java.beans.PropertyChangeListener

Abstract base class for SoapUITreeNode implementations

Author:
  Ole.Matzura

Nested Class Summary
`class` | `AbstractModelItemTreeNode.ReorderPropertyChangeListener`

Constructor Summary
`protected` | `AbstractModelItemTreeNode(T modelItem, ModelItem parentItem, SoapUITreeModel treeModel)`

Method Summary
`ActionList` | `getActions()`
`int` | `getChildCount()`
`SoapUITreeNode` | `getChildNode(int index)`
`int` | `getIndexOfChild(java.lang.Object child)`
`T` | `getModelItem()`
`java.awt.Component` | `getOverviewPanel()`
`SoapUITreeNode` | `getParentTreeNode()`
`javax.swing.JPopupMenu` | `getPopup()`
`SoapUITreeModel` | `getTreeModel()`
`
`<T2 extends SoapUITreeNode> void`
` | `initOrdering(java.util.List<T2> items, java.lang.String setting)`
`boolean` | `isLeaf()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `release()`
`void` | `reorder(boolean notify)`
`
`<T2 extends SoapUITreeNode> void`
` | `sortModelItems(java.util.List<T2> modelItems, java.lang.String setting)`
`java.lang.String` | `toString()`
`boolean` | `valueChanged(java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractModelItemTreeNode

    protected AbstractModelItemTreeNode(T modelItem,
                                        ModelItem parentItem,
                                        SoapUITreeModel treeModel)

Method Detail

### getTreeModel

    public SoapUITreeModel getTreeModel()

### getOverviewPanel

    public java.awt.Component getOverviewPanel()

### getModelItem

    public T getModelItem()

  Specified by:
    `getModelItem` in interface `SoapUITreeNode`

### valueChanged

    public boolean valueChanged(java.lang.Object newValue)

  Specified by:
    `valueChanged` in interface `SoapUITreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `SoapUITreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `SoapUITreeNode`

### getChildNode

    public SoapUITreeNode getChildNode(int index)

  Specified by:
    `getChildNode` in interface `SoapUITreeNode`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `SoapUITreeNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPopup

    public javax.swing.JPopupMenu getPopup()

  Specified by:
    `getPopup` in interface `SoapUITreeNode`

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUITreeNode`

### getParentTreeNode

    public SoapUITreeNode getParentTreeNode()

  Specified by:
    `getParentTreeNode` in interface `SoapUITreeNode`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

  Specified by:
    `release` in interface `SoapUITreeNode`

### initOrdering

    public <T2 extends SoapUITreeNode> void initOrdering(java.util.List<T2> items,
                                                         java.lang.String setting)

### reorder

    public void reorder(boolean notify)

  Specified by:
    `reorder` in interface `SoapUITreeNode`

### sortModelItems

    public <T2 extends SoapUITreeNode> void sortModelItems(java.util.List<T2> modelItems,
                                                           java.lang.String setting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.